{% extends "admin_base.html" %}


{% block content %}




<nav class="navbar navbar-inverse">
  <div class="container-fluid">

    <ul class="nav navbar-nav">
      
      <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="#">Categories
        <span class="caret"></span></a>
        <ul class="dropdown-menu">
          {% for category in categories %}
            <li id="{{category.name}}" class="item-btn">
              <a href="/management/web-store2?item_cat_id={{category.key.id()}}&client_id={{user.key.id()}}">{{category.name}}</a>
            </li>
          {% endfor %}
        </ul>
      </li>
 
    </ul>
  </div>
</nav>

    <div class="row">
      <div id="form">
        <div class="col-md-8">
          <h1 class="titles">PODit webstore </h1>
           {% if user %}
                  <td><a class="btn btn-primary" href="/users/{{user.key.id()}}" >Back to {{user.name}}'s profile</a></td>
            {% endif %}
           
          <h3 id="item_header"></h3>
          <table class="table display responsive" id="admin_items_table"  cellspacing="0" width="100%">
            <thead>
              <tr>
               <th data-field="name" data-sortable="true"> 
                  Picture </th>
                <th data-field="name" data-sortable="true"> 
                  Item  name </th>
                  <th data-field="name" data-sortable="true"> 
                    Price </th>
                    
                    <th data-field="name" data-sortable="true"> Stock quantity </th>
                    <th data-field="name" data-sortable="true"> Archived </th>
                    {% if user %}
                     <th data-field="name" data-sortable="true"> Add to cart </th>
                    {% endif %}
                  </tr>
                </thead>
                <tbody>
                {% for item in items %}
                  <tr>
                    <td><img src="https://storage.googleapis.com{{item.image_url}}" style="width:300px;height:300px;"></td>
                    <td>{{item.name}}</td>
                    <td>{{item.price}}</td>
                  
                    <td>{{item.quantity}}</td>
                    <td>{{item.archived}}</td>
                    {% if user %}
                      <td><a class="btn btn-primary" href="/users/{{user.key.id()}}/add-baskets/{{item.id}}" >Add to {{user.name}}'s cart</a></td>
                    {% endif %}
                  </tr>
                {% endfor %}
                </tbody>
                <tfoot>
                  <tr>
                  </tr>
                </tfoot>
              </table>


            </div>

          </div>
        </div>




<script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>



        {% endblock %}
   {% block scripts %}
<!-- <script src="/static/js/admin/manage_items.js?v={{js_version}}"></script> -->
        {% endblock %}


